Bug 113790 - vipw asks for editing shadow in local language but only "Y" is accepted as yes
vipw asks for editing shadow in local language but only "Y" is accepted as yes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
1
All Linux
medium Severity low
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-17 21:26 EST by Alexandre Strube
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-02 15:20:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Strube 2004-01-17 21:26:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031202

Description of problem:
If you edit /etc/passwd/ with vipw and saves the passwd file, it
immediately asks if you want to edit shadow. But if you're not using
english as your language, it asks in the right language, but only
expects a positive answer on the "Y" letter.

Version-Release number of selected component (if applicable):
util-linux-2.11y-29

How reproducible:
Always

Steps to Reproduce:
1. type "vipw" as root, using non-english desktop
2. edit it
3. save it.
    

Actual Results:  For instance, in brazilian portuguese, it asks 
Voc� est� usando senhas sombra (shadow) neste sistema
Voc� gostaria de editar /etc/shadow agora [s/n]s
(Translation: you're using shadow password on this system
would you like to edit shadow now?)

And if you press "S", nothing happens. Pressing "Y" works.

Expected Results:  Accept (in case of brazilian portuguese) the "s" as
positive answer, once it's the one on question.

Additional info:
Comment 1 Elliot Lee 2004-02-20 15:50:53 EST
Solution: change the translation so that it says something like:
"Do you really want to save? (Yes = 'Y', No = 'N')"

Could get hairy
Comment 2 Eido Inoue 2004-02-20 16:04:05 EST
This is a translation problem. You can't re-translate hot keys unless
the corresponding hotkeys are translated to. The hotkeys cannot always
be translated depending on the language and the application.

I agree with Elliot. The solution is to change the pt_BR.po file so it
reads:

Voc� est� usando senhas sombra (shadow) neste sistema
Voc� gostaria de editar /etc/shadow agora ["Y" = Sim, "N" = Não]
Comment 3 Alexandre Strube 2004-02-20 23:07:43 EST
GNU nano (pine's pico cover) accepts both, Y and "S" (from Y in
portuguese), but asks in portuguese...
Comment 4 Elliot Lee 2004-12-02 15:20:06 EST
Patch is in CVS to fix the .po files.

Note You need to log in before you can comment on or make changes to this bug.